[versions]
agp = "8.8.0"
androidxAppcompat = "1.7.0"
androidxRecyclerview = "1.4.0"
appcompatVersion = "1.7.0"
appupdateVersion = "4.2.6"
bcpkixJdk15on = "1.67"
calligraphy3 = "3.1.1"
circleimageview = "3.1.0"
commonsCodec = "1.15"
crashreport = "4.1.9.3"
fragment = "1.8.5"
glide = "4.11.0"
kotlin = "1.9.24"
coreKtx = "1.15.0"
junit = "4.13.2"
junitVersion = "1.2.1"
espressoCore = "3.6.1"
appcompat = "1.7.0"
loggingInterceptor = "4.9.0"
material = "1.12.0"
activity = "1.10.0"
constraintlayout = "2.2.0"
multidex = "2.0.1"
orgEclipsePahoClientMqttv3 = "1.2.4"
orgEclipsePahoAndroidService = "1.1.1"
pictureselector = "v3.10.7"
recyclerview = "1.4.0"
retrofit = "2.9.0"
smarttable = "2.2.0"
supportCompat = "28.0.0"
pdfiumAndroid = "1.9.0"
annotationJvm = "1.9.1"
viewpump = "2.0.3"
coordinatorlayout = "1.2.0"
#xui = "1.1.5"
#xui = "1.2.1"
barcodeScanning = "16.1.1"

[libraries]
androidx-appcompat-v170 = { module = "androidx.appcompat:appcompat", version.ref = "androidxAppcompat" }
androidx-core-ktx = { group = "androidx.core", name = "core-ktx", version.ref = "coreKtx" }
androidx-fragment = { module = "androidx.fragment:fragment", version.ref = "fragment" }
androidx-multidex = { module = "androidx.multidex:multidex", version.ref = "multidex" }
androidx-recyclerview-v110 = { module = "androidx.recyclerview:recyclerview", version.ref = "recyclerview" }
azhon-appupdate = { module = "io.github.azhon:appupdate", version.ref = "appupdateVersion" }
bcpkix-jdk15on = { module = "org.bouncycastle:bcpkix-jdk15on", version.ref = "bcpkixJdk15on" }
calligraphy3 = { module = "io.github.inflationx:calligraphy3", version.ref = "calligraphy3" }
camerax = { module = "io.github.lucksiege:camerax", version.ref = "pictureselector" }
circleimageview = { module = "de.hdodenhof:circleimageview", version.ref = "circleimageview" }
commons-codec = { module = "commons-codec:commons-codec", version.ref = "commonsCodec" }
compress = { module = "io.github.lucksiege:compress", version.ref = "pictureselector" }
converter-gson = { module = "com.squareup.retrofit2:converter-gson", version.ref = "retrofit" }
crashreport = { module = "com.tencent.bugly:crashreport", version.ref = "crashreport" }
glide = { module = "com.github.bumptech.glide:glide", version.ref = "glide" }
junit = { group = "junit", name = "junit", version.ref = "junit" }
androidx-junit = { group = "androidx.test.ext", name = "junit", version.ref = "junitVersion" }
androidx-espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espressoCore" }
androidx-appcompat = { group = "androidx.appcompat", name = "appcompat", version.ref = "appcompat" }
logging-interceptor = { module = "com.squareup.okhttp3:logging-interceptor", version.ref = "loggingInterceptor" }
material = { group = "com.google.android.material", name = "material", version.ref = "material" }
androidx-activity = { group = "androidx.activity", name = "activity", version.ref = "activity" }
androidx-constraintlayout = { group = "androidx.constraintlayout", name = "constraintlayout", version.ref = "constraintlayout" }
org-eclipse-paho-android-service = { module = "org.eclipse.paho:org.eclipse.paho.android.service", version.ref = "orgEclipsePahoAndroidService" }
org-eclipse-paho-client-mqttv3 = { module = "org.eclipse.paho:org.eclipse.paho.client.mqttv3", version.ref = "orgEclipsePahoClientMqttv3" }
pdfium-android = { module = "com.github.barteksc:pdfium-android", version.ref = "pdfiumAndroid" }
pictureselector = { module = "io.github.lucksiege:pictureselector", version.ref = "pictureselector" }
recyclerview-v7 = { module = "com.android.support:recyclerview-v7", version.ref = "supportCompat" }
retrofit = { module = "com.squareup.retrofit2:retrofit", version.ref = "retrofit" }
smarttable = { module = "com.github.huangyanbin:SmartTable", version.ref = "smarttable" }
support-compat = { module = "com.android.support:support-compat", version.ref = "supportCompat" }
support-v4 = { module = "com.android.support:support-v4", version.ref = "supportCompat" }
androidx-annotation-jvm = { group = "androidx.annotation", name = "annotation-jvm", version.ref = "annotationJvm" }
ucrop = { module = "io.github.lucksiege:ucrop", version.ref = "pictureselector" }
viewpump = { module = "io.github.inflationx:viewpump", version.ref = "viewpump" }
androidx-coordinatorlayout = { group = "androidx.coordinatorlayout", name = "coordinatorlayout", version.ref = "coordinatorlayout" }
#xui = { module = "com.github.xuexiangjys:XUI", version.ref = "xui" }
barcode-scanning = { module = "com.google.mlkit:barcode-scanning", version.ref = "barcodeScanning" }

[plugins]
android-application = { id = "com.android.application", version.ref = "agp" }
kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }

